Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000040Core InformReleasing, bibliographic data, cBlorbpublic2010-06-15 21:252010-07-02 01:56
Assigned Tocuriousdannii 
Platformx86OSMac OS XOS Version10.6
Product Version6E59 
Target VersionFixed in Version6E72 
Summary0000040: Parchment play-in-browser page hangs in Chrome browser
DescriptionThe play-in-browser page produced with the 'Release along with an interpreter' option works as expected in Safari (4.0.5) and Mac Firefox (3.5.9), but hangs in the most recent version of Mac Chrome (5.0.375.70) on the 'Please wait while Parchment loads/Retrieving story file...' message.

This seems to have something to do with the version of Parchment bundled with Inform, as the individual .z5 and .zblorb files produced by Inform *will* run as expected in Mac Chrome, when run through the version of Parchment running off of googlecode: [^] [^]
Minimal Source Text To Reproduce
"Parchment test" by Joshua Lawrence

Release along with an interpreter.

Parchment Test is a room.
Effect(serious/mild) Game compiles but misbehaves
Attached Fileszip file icon [^] (53,897 bytes) 2010-06-21 23:43

- Relationships

-  Notes
jjsonick (reporter)
2010-06-16 06:41

Hm, odd. It only appears to be an issue when opening play.html in Chrome locally from your hard drive (the same way I opened it in Firefox and Safari, which worked). If the play-in-browser release is uploaded to a site, and accessed online by Mac Chrome, it works as expected: [^]

So may not be an Inform issue at all, but a Chrome quirk with running local files? Interested to see if other people see this.
curiousdannii (developer)
2010-06-17 02:21

I'll look into fixing this soon. Local XHR has had some issues before.
jjsonick (reporter)
2010-06-19 12:31

Thanks, Dannii. More confirmation: tested in Windows XP, and saw same behavior when loading play.html from a local drive: worked in Firefox and IE, but hung on 'Retrieving story file' in Chrome.
curiousdannii (developer)
2010-06-21 17:42

It would be helpful if you could run a quick test for me, in as many platforms as you can.

Please download [^]
and run tests/download_to_array.html locally.
curiousdannii (developer)
2010-06-21 20:38 [^]

Seems Chrome have some ridiculous security policy!

I think I can fix this, but it will take some work.
curiousdannii (developer)
2010-06-21 23:45

I believe I have fixed this. Can you test with the new You'll need to extract that into your templates folder, though I'm not sure exactly where that is, and then you'll have to release and rebuild the website again.
jjsonick (reporter)
2010-06-22 10:39

Aha, I suspected it was Chrome being a jerk.

Local play.html works now in Chrome in Win XP and OS X! I can test in Vista tonight, I expect it will work there as well.
jjsonick (reporter)
2010-06-23 07:07

OK, loading play.html locally now works as expected in Chrome in Vista as well.

- Issue History
Date Modified Username Field Change
2010-06-15 21:25 jjsonick New Issue
2010-06-16 00:19 jmcgrew Status new => acknowledged
2010-06-16 06:41 jjsonick Note Added: 0000012
2010-06-17 02:21 curiousdannii Note Added: 0000020
2010-06-17 02:21 curiousdannii Issue Monitored: curiousdannii
2010-06-17 08:32 emshort Assigned To => curiousdannii
2010-06-17 23:48 curiousdannii Status acknowledged => assigned
2010-06-19 12:31 jjsonick Note Added: 0000055
2010-06-19 13:48 jmcgrew Summary Parchment play-in-browser page hangs in Mac Chrome browser => Parchment play-in-browser page hangs in Chrome browser
2010-06-21 17:42 curiousdannii Note Added: 0000111
2010-06-21 20:38 curiousdannii Note Added: 0000115
2010-06-21 23:43 curiousdannii File Added:
2010-06-21 23:45 curiousdannii Note Added: 0000118
2010-06-21 23:45 curiousdannii Status assigned => feedback
2010-06-22 10:39 jjsonick Note Added: 0000119
2010-06-22 10:39 jjsonick Status feedback => assigned
2010-06-23 07:07 jjsonick Note Added: 0000136
2010-06-23 18:32 curiousdannii Status assigned => resolved
2010-06-23 18:32 curiousdannii Resolution open => fixed
2010-06-30 18:07 jmcgrew Fixed in Version => 6E72
2010-07-01 23:07 jmcgrew Status resolved => closed
2010-07-02 01:56 jmcgrew Tag Attached: wrongeffect

Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker